Quick Start

Remote Control Quick Start User Guide.

Please review System Requirements to ensure Remote Control will function correctly.

In order to start using Remote Control without reading the complete user guide, you can follow this Quick Start guide. This Quick Start guide makes some assumptions .

  • Installation . This guide explains how to install the Remote Controller onto a computer.
  • Initialisation . This guide explains how to set up the Remote Controller.
  • Creating User Accounts . This guide explains how to create an administrator account for Remote Control.
  • Deployment . This guide explains how to use the Remote Controller to deploy Remote Control Clients.
  • Assign Remote Control Clients . This guide explains how to assign deployed Remote Control Clients to a Remote Control user account.
  • Running Packages . This guide explains how to run Remote Control packages.

If you have any difficulties during the processes outlined above, please refer to the troubleshooting guide. You can also obtain further information from the online user guide for Remote Control or the Remote Control forum .

© 2007 Laek Limited . All rights reserved.


Assumptions

Quick Start Assumptions
         Next Topic

Please note:

During this Quick Start guide we have made the assumptions listed below.

  1. That the person conducting the installation of Remote Control is a domain administrator and has the relevant security permissions.
  2. That the target computer for the installation meets the minimum requirements (see System Requirements for more information).
  3. That the installation file is either a trial version or a licensed version and includes the .Net framework and MSDE.
  4. That this is the first time Remote Control has been installed and run on the network.


System Requirements

Remote Control System Requirements

Please note:

A degree of expertise and knowledge is required to manage and control computers, domains and networks. Remote Control will require a domain administrator to install and deploy.

Definitions:

  • Domain - In Windows NT and Windows 2000, a domain is a set of network resources (applications, printers, and so forth) for a group of users. The user needs to log in to the domain to gain access to the resources, which may be located on a number of different servers in the network.
  • Trusted Domain - Trust relationships between domains establish a trusted communication path through which a computer in one domain can communicate with a computer in the other domain. Trust relationships allow users in the trusted domain to access resources in the trusting domain.
  • Controller - The interactive component of Remote Control with a GUI used to manage computers.
  • Hub - The service component of Remote Control without a GUI used to manage computers.
  • Client - The non-interactive component of Remote Control installed on target computers.
  • Database - An MSSQL database i.e. MSDE, MSDE2000, MSSQL2000, MSSQL2003, MSSQL2005 (express), MSSQL2005
  • UDP - (User Datagram Protocol) One of the protocols for data transfer that is part of the TCP/IP suite of protocols.
  • TCP/IP - (Transmission Control Protocol/Internet Protocol) the standard protocol used on an intranet for connecting different types of networks and computers.
  • DCOM - (Distributed Component Object Model) Formerly Network OLE, it is Microsoft's technology for distributed objects.
  • WMI - (Windows Management Instrumentation) A programming interface (API) in Windows that allows system and network devices to be configured and managed.
  • Account - In business environments, there are typically two types of user accounts: standard and administrator. A standard user is prevented from performing tasks such as installing applications, while administrators have the complete run of the computer.

Installation Requirements:

  • Remote Controller - Must be installed on a computer that is a member of your domain or a trusted domain.
  • Remote Control Hub - Must be installed on a computer that is a member of your domain or a trusted domain.
  • Database - Must be installed on a computer that is a member of your domain or a trusted domain.
  • User - You must be a member of the domain you are installing Remote Control into.

Communications Requirements:

  • UDP Ports - Communication must be allowed through ports 10080, 10090.
  • TCP/IP Ports - Communication must be allowed through ports 6040, 6049 or ports you specify in the Remote Controller.

Client Deployment Requirements:

  • DCOM - Must be enabled for remote administration.
  • WMI - Must be enabled for remote administration.
  • Account - A Local Administrator account must exist with the same username as your domain username.

Recommended System Hardware Requirements to run Remote Control Components:

  • Remote Controller - 512Mb Ram, Windows XP, 50Mb Disk Space, Internet access.
  • Remote Control Client – 12Mb Ram, Win NT 4 or later, 2Mb Disk Space.
  • Remote Control Hub – 256Mb Ram, Win NT 4 or later, 50Mb Disk Space.


Installation

Installation - Quick Start

To start the installation execute the setup file provided by Laek Limited .

If your computer does not have Microsoft's .Net platform installed, the following screen will appear. Remote Control requires the .Net platform, so you must click the Yes button.

Click the Next button on the welcome screen. This will bring up the License Agreement screen. Make sure you read and agree with the license before continuing.

The next screen allows you to choose the Remote Control components you wish to install. Leave the default components selected.

The next screen allows you to choose a location for the installation. Click on the Next button to accept the default location. The next screen allows you to change the Start Menu folder. Click the Next button to accept the default settings and begin the installation.

If you do not have an MS SQL database installed on your computer, the MSDE will be installed now.

When all files have been installed, click the Next button and then the Finish button.

You now need to initialise Remote Control.


Initialisation

Initialisation - Quick Start

Once you have installed the Remote Controller you need to initialise it. Before you start the Remote Controller please ensure you have a working connection to the Internet. Without this, the functionality of Remote Control is severely restricted.

Start the Remote Controller. The Logon screen will be presented. If you know the name of the SQL server you are using to store the Remote Control database on, enter it in the drop down field. You can click on the List Servers button to populate the drop down box with a list of available SQL servers, and then select one. If you have just installed an MSDE database onto your computer you will see if listed in the dropdown as "computername\REMOTECONTROL", we suggest you install Remote Control to this database.

If you are using SQL accounts enter your name and password in the SQL Login area. If you are using WinNT security just check the Trusted Connection box. Click the Login button. You will get a message stating "Database not found". This is normal for the first time Remote Control is being run. Click the Yes button to create a new database called RC in the specified SQL server. Remote Control will now be installed into the database. Depending on the speed of your computer this may take between 2-5 minutes.

If you receive a warning from your firewall software, please select the "Unblock" option or Remote COntrol will not function correctly on your network.

If you are using a licenced version of Remote COntrol you will be prompted to enter your licence number. Enter your licence number then click the Activate button. Remote Control will initialise your session and will present the following screen.

Now you need to create a user account for Remote Control.


Creating User Accounts

Creating User Accounts - Quick Start

To create user accounts you use the tab pages and toolbar pictured below.

Remote Control has a built in account called Laek\RCAdministrator which has permissions to create user accounts. If you do not alter this account you will always have a default account with the correct permissions.

Click on the Create New User button.

A new account will be created. Right click on the new account and select Rename from the menu. Change the name to YourDomain\YourUserName. For example, if your user name is Bill and you are part of the Moonbase domain, change the account to Moonbase\Bill.

Now assign a default set of administrator permissions by selecting the Administrator from the drop down box on the Select tab.

Now click the Update Changes button.

You now need to exit Remote Control, restart and logon again. The Remote Controller will load using your newly created account. The next step is deploying Remote Control clients across the trusted network.


Deployment

Deployment - Quick Start

To deploy Remote Control Clients you use the tab pages and toolbar pictured below.

Please ensure that both the dotnetfx.exe and RemoteControlClientSetup.exe files are located in the same folder that Remote Control was installed into. Click the Refresh Domains button. This will refresh the network tree giving you a list of domains that Remote Control discovers.

Select the domain(s) you want to deploy to then select the Show Accounts button. This will list all the computer accounts available in the selected domain(s). Depending on the size of the network, this may take a while. Note the status bar displays a message advising how many accounts have been found.

When the refresh has completed, a network tree will be displayed showing all of the domains and computer accounts that Remote Control was able to discover. The network tree shows the name of the computer account, and also shows if Remote Control is able to reach or detect the computer account.

White status boxes indicate this computer account is online and can be detected by Remote Control.

Gray status boxes indicate this computer account cannot be reached or detected by Remote Control.

Select the computer accounts you wish to deploy the Remote Control Client to by clicking the check boxes next to each computer name. You can select all computer accounts by clicking the Select All button.

Once you have selected the computers you want to deploy to, check the capability of the computers by clicking the Check Capability button. This will check that the computers can support Remote Control, and the status boxes will change accordingly.

Red status boxes indicate that the computer cannot be communicated with. These computers will automatically be unchecked. If you click on this computer a message will be displayed advising why this computer cannot be communicated with. Please see the troubleshooting section of the user guide for further information.

Yellow status boxes indicate that the computer can be communicated with.

Green/Yellow status boxes indicate the computer can be communicated with and has .Net 1.1 installed.

Green status boxes indicate that the Remote Control Client is already running on the computer.

Now click on the Deploy button. This this will begin the deployment process.

During the deployment process the status boxes for each computer will indicate the deployment progress. The speed of the deployment process will depend on network speed and the number of computers you are deploying to.

.Net is being copied to the computer.

.Net is being installed on the computer.

Remote Control Client is being copied to the computer.

Remote Control Client is being installed on the computer.

Deployment complete.

Once deployment is complete, you should confirm communication with the Remote Control Clients by clicking the Contact button. Once the Remote Controller has confirmed communication with the client it will appear in the Client Tree.

In order for a user to be able to work with the Remote Control Clients they need to be assigned to a Remote Control user account.


Assigning Clients

Assigning Clients - Quick Start

To assign Remote Control Clients to a Remote Control user account you use the tab pages and toolbar pictured below.

Select the user account you created and then go to the Administrator - Config - Users tab to see a list of Remote Control Clients that can be assigned to the user.

Select the Clients you wish to assign to the user by either checking individual Clients, checking entire Domains or clicking on the Select All Computers button.

Once you have selected to Clients to assign you must click the Update Changes button.

You can now start running Remote Control packages .


Running Packages

Running Packages - Quick Start

To run packages you use the tab pages and toolbar pictured below.

Open the Report\Computer Environment package group.

Select the package Enumerate the Latest Installed Service Pack.

The Package setup page will appear.

Now select some Remote Control Clients to send the package to using the Clients tab and click the Execute button on the setup page. You may need to scroll the setup page down to see the Execute button.

Now go to the Results tab.

When the results have come back from all Clients, the status boxes will be green. Right click on the Package entry in the results tree view and choose Change Results Orientation from the menu. The results will now be displayed in a more easily readable format.

This concludes the Quick Start User Guide. Remote Control contains a lot of functionality that this guide hasn't touched on. Please refer to the complete Remote Control User Guide for further information.


Troubleshooting
         Previous Topic

The following is a list of the more commonly encountered issues while deploying and running Remote Control.

  1. I cannot logon to Remote Control.
  2. I don't see any computers in my Client list .
  3. The Computers in my Client list are red .
  4. I see Packages in my User Sort View but when I select them nothing happens .
  5. I don't see any Packages in my Package list .
  6. When I try to send a Package I get an error message in the Setup Page .
  7. When I send a Package to a Remote Control Client it fails and returns a "red" result .
  8. I cannot create a new Package Group .
  9. I cannot create a new Package .
  10. I cannot rename/delete a Package Group .
  11. I cannot edit/rename/delete a Package .
  12. I cannot see a Client\Packages\Schedule list etc.
  13. Remote Control runs slowly.
  14. During Deployment I see non-existent computers.
  15. During Deployment I see unqualified computer names.
  16. During Deployment I have computers that return a Ping Timeout error message.
  17. During Deployment I have computers that return a RPC server unavailable error message.
  18. During Deployment I have computers that return a Access denied error message.
  19. How do I setup DCOM for remote access on Windows 2000?
  20. How do I setup DCOM for remote access on Windows XP and Windows Server 2003?
  21. How do I setup DCOM for remote access on Windows XP SP2?

I cannot logon to Remote Control.

When you start Remote Control do the following:

  1. Check the "Specify User" check box on the Logon form.
  2. Use RCAdministrator as the User.
  3. Use 0 as the password (that's the number zero).
  4. Use Laek as the domain.

After logging into Remote Control as the RCAdministrator, check the user accounts are formatted correctly i.e. domain\username or domain.ext\username e.g. laek.com\rcadministrator

Top of page .

I don't see any computers in my Client list

  1. Navigate to the Administrator - Config - Clients panel.
  2. Make sure the Clients you want to manage have been checked.
  3. If they are not checked then check them.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

The Computers in my Client list are red.

  1. Make sure Auto-poll is turned on (it may take up to 60 seconds for all computers to report in after this).
  2. Make sure you can ping the remote computer (Use Start - Run and enter cmd.exe to bring up a dos box. Then enter "ping computername" to verify the computer can be communicated with.
  3. If the computer can be pinged then check the firewall on your computer and make sure Remote Control is specified in the firewall exceptions. Add it as an exception if it isn't already there.
  4. If it is an exception in the firewall, check that Remote Control is specified in the remote computer firewall exceptions. Add it as an exception if it isn't already there.

Top of page .

I see Packages in my User Sort View but when I select them nothing happens.

  1. Navigate to the Administrator - Config - Groups panel.
  2. Make sure the Package Groups you want to use have been checked.
  3. If they are not checked then check them.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

I don't see any Packages in my Package list.

  1. Navigate to the Administrator - Config - Groups panel.
  2. Make sure the Package Groups you want to use have been checked.
  3. If they are not checked then check them.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

When I try to send a Package I get an error message in the Setup Page.

Check the Remote Control Title Bar. It should say something like "Remote Control vrs ?.? \\domain\username connected". If it simply says "Remote Control vrs ?.?", you will need to close Remote Control and restart it.

Top of page .

When I send a Package to a Remote Control Client it fails and returns a "red" result.

  1. Check the firewall on your computer and make sure Remote Control is specified in the firewall exceptions. Add it as an exception if it isn't already there.
  2. If it is an exception in the firewall, check that Remote Control is specified in the remote computer firewall exceptions. Add it as an exception if it isn't already there.
  3. Click your RMB on the client in the Client list and select "Reset" from the drop down menu that appears.

Top of page .

I cannot create a new Package Group.

  1. Navigate to the Administrator - Config - Permissions panel.
  2. Make sure that Group Management has been checked.
  3. If it is not checked then check it.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

I cannot create a new Package.

  1. Navigate to the Administrator - Config - Permissions panel.
  2. Make sure that Package Management has been checked.
  3. If it is not checked then check it.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.
  5. If the problem persists verify that you are not trying to create a Package in a reference group.

Top of page .

I cannot rename/delete a Package Group.

  1. Check that you Own the Package Group (i.e. the Package Group name is displayed in orange text).
  2. If you own the Package Group then:
  3. Navigate to the Administrator - Config - Permissions panel.
  4. Make sure that Group Management has been checked.
  5. If it is not checked then check it.
  6. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

I cannot edit/rename/delete a Package.

  1. Check that you Own the Package (i.e. the Package name is displayed in orange text).
  2. If you own the Package then:
  3. Navigate to the Administrator - Config - Permissions panel.
  4. Make sure that Package Management has been checked.
  5. If it is not checked then check it.
  6. Remember to confirm the changes you have made by selecting the "Update Changes" button.

Top of page .

I cannot see a Client\Packages\Schedule list etc.

  1. Navigate to the Administrator - Config - Permissions panel.
  2. Make sure that specified permission has been checked.
  3. If it is not checked then check it.
  4. Remember to confirm the changes you have made by selecting the "Update Changes" button.
  5. If the problem persists: Close Remote Control and restart it.

Top of page .

Remote Control runs slowly.

Verify that you have enough free memory (use ctrl-alt-del to bring up your task manager and check the available free memory). If there is insufficient memory or the problem persists, try closing Remote Control and restarting it.

Top of page .

During deployment I see non-existent computers.

In deployment, when you select the "Show Accounts" button, the list shows computer accounts defined in the domain controller. You may have computer accounts defined for computers that don't exist. These computer names will appear in the "Unqualified" list as they cannot be communicated with.

Top of page .

During deployment I see unqualified computer names.

These are computers that have no current IP address and DNS cannot be resolved. In deployment, when you select the "Show Accounts" button, computer names will appear in the "Unqualified" list if they cannot be communicated with or they cannot be resolved via DNS. If DNS fails, Remote Control cannot get an IP address for the computer.

Top of page .

During deployment I have computers that return a Ping Timeout error message.

In deployment, when you select the "Show Accounts" button, a DNS lookup is performed to get the IP address of the computer and then an attempt is made to 'ping' the computer. If this fails you will receive a "Ping Timeout" error message. To resolve this, check the firewall on the remote computer and ensure that "ICMP echo request" is enabled.

Top of page .

During deployment I have computers that return a RPC server unavailable error message.

In Deployment, when you select the "Show Accounts" button the following steps are performed:

  1. A DNS lookup is performed to get the IP address of the computer.
  2. The computer is "pinged" to verify it can be reached and it is "active".
  3. A remote process is started on the computer to detect .Net.
  4. The results are written to a temporary text file on the remote computer.
  5. The temporary text file is read and deleted.

If any of these steps cannot be performed it is unlikely that you will be able to automatically deploy the Remote Control Clients. In most cases of failure, you will see a message indicating the RPC server is unavailable. This can be caused by:

  1. DCOM failure - Make sure DCOM is enabled for remote access (see the end of this document for further instructions).
  2. WMI failure - Make sure WMI is enabled for remote access (see the end of this document for further instructions).
  3. Firewall failure - Make sure Remote Access is enabled in the firewall of the remote computer.
  7. Permissions failure - Allow for remote administration on the remote computer. You can use either the Group Policy editor (Gpedit.msc) or a script to enable the Windows Firewall: Allow Remote Administration Exception, or use a netsh firewall command at the command prompt to allow for remote administration. The following command enables this feature: "netsh firewall set service RemoteAdmin enable". For further information, please see http://msdn2.microsoft.com/en-us/library/aa389286.aspx.

Top of page .

During Deployment I have computers that return a Access Denied error message.

Check that a Local Administrator or Domain Administrator account exist for your username on the remote computer.

Top of page .

How do I setup DCOM for remote access on Windows 2000?

  1. Click Start, click Run, and then type DCOMCNFG.
  2. Click Default Properties. Select Enable Distributed COM on this computer. Set the Default Authentication Level to Connect (None also works). Set the Default Impersonation Level to Identify (Impersonate also works).
  3. Click Default Security.
  4. Under Default Access Permissions click Edit Default. Add SYSTEM and INTERACTIVE. The user whose authentication credentials will be used to access the COM application must also be included in this list. There are many ways to do this. You can add the specific user or simply add a group the user belongs to. Possible values include; Domain\Username (A specific user); Domain\Administrators (All administrators on a specific domain); Everyone (All users).
  5. Under Default Launch Permissions click Edit Default. Make sure the Default Launch Permissions have the same values as the Default Access Permissions.
  6. Click Default Protocols. Make sure Connection-oriented TCP/IP is listed first.
  7. You must now configure the COM application you wish to access. Click Applications and right-click on the application you wish to configure. Select Properties. If your COM application is a DLL, you must first create a surrogate EXE for it using the SetDllHost tool. Once a surrogate EXE is created, the surrogate name will appear in the list of applications. Select Properties for the surrogate and continue on.
  8. Click General. Set the Authentication Level to Default.
  9. Click Location. Select Run application on this computer.
  10. Click Security. Select Use default access permissions and Use default launch permissions.
  11. Click Identity. Select The launching user. This setting specifies the account that will be used to run the COM application once it is launched by a client program. The launching user is the user account of the client process that launched the server, and is the recommended setting. Depending on the COM application you want to connect to, you may need to change this to:
  12. The interactive user - The user that is currently logged on to the machine hosting the COM application (use this if you are going to access MS Excel and make it visible).
  13. This user - Specify a user account that will always be used to run the COM application regardless of which user is accessing it.
  14. For more information on "How To Configure Office Applications to Run Under the Interactive User Account" (which includes information on using Terminal Services), please see the References section at the bottom of this page.
  15. Click Endpoints. Select default system protocols.

If you still get an "access denied" or "permission denied" error after configuring your DCOM settings, try rebooting your machine to allow the new settings to take effect.

Top of page .

How do I setup DCOM for remote access on Windows XP and Windows Server 2003?

  1. If the computer belongs to a workgroup instead of a domain, make sure that it does not use simple file sharing. Open Windows Explorer or double click My Computer, click Tools, then go to Folder Options, click View and uncheck Use simple file sharing (Recommended) in Advanced settings.
  2. Click Start, click Programs, click Administrative Tools, click Component Services.
  3. Expand Component Services, expand Computers, and right-click My Computer. Select Properties.
  4. Click Default Properties. Select Enable Distributed COM on this computer. Set the Default Authentication Level to Connect (None also works). Set the Default Impersonation Level to Identify (Impersonate also works).
  5. Click Default COM Security.
  6. Under Default Access Permissions click Edit Default. Add SYSTEM, INTERACTIVE, and NETWORK. The user whose authentication credentials will be used to access the COM application must also be included in this list. There are many ways to do this. You can add the specific user or simply add a group the user belongs to. Possible values include; Domain\Username (A specific user); Domain\Administrators (All administrators on a specific domain); Everyone (All users).
  7. Under Default Launch Permissions click Edit Default. Make sure the Default Launch Permissions have the same values as the Default Access Permissions.
  8. Click Default Protocols. Make sure Connection-oriented TCP/IP is listed first.
  9. You must now configure the COM application you wish to access. Expand Component Services, expand Computers, expand My Computer, and click DCOM Config. Right-click on the application you wish to configure. Select Properties. If your COM application is a DLL, you must first create a surrogate EXE for it using the SetDllHost tool. Once a surrogate EXE is created, the surrogate name will appear in the list of applications. Select Properties for the surrogate and continue on.
  10. Click General. Set the Authentication Level to Default.
  11. Click Location. Select Run application on this computer.
  12. Click Security. Set Launch Permissions to Use Default. Set Access Permissions to Use Default. Set Configuration Permissions to Use Default.
  13. Click Identity. Select The launching user. This setting specifies the account that will be used to run the COM application once it is launched by a client program. The launching user is the user account of the client process that launched the server, and is the recommended setting. Depending on the COM application you want to connect to, you may need to change this to:
  14. The interactive user - The user that is currently logged on to the machine hosting the COM application (use this if you are going to access MS Excel and make it visible).
  15. This user - Specify a user account that will always be used to run the COM application regardless of which user is accessing it.
  16. Click Endpoints. Select default system protocols.

If you still get an "access denied" or "permission denied" error after configuring your DCOM settings, try rebooting your machine to allow the new settings to take effect.

For more information on "How To Configure Office Applications to Run Under the Interactive User Account" (which includes information on using Terminal Services), please see the References section at the bottom of this page.

Top of page .

How do I setup DCOM for remote access on Windows XP SP2?

Microsoft has added some DCOM security enhancements to Windows XP Service Pack 2. In addition to the above Windows XP DCOM configuration settings, you will need to perform the following steps.

  1. If the computer belongs to a workgroup instead of a domain, make sure that it does not use simple file sharing. Open Windows Explorer or double click My Computer, click Tools, then go to Folder Options, click View and uncheck Use simple file sharing (Recommended) in Advanced settings.
  2. Click Start, click Programs, click Administrative Tools, click Component Services.
  3. Expand Component Services, expand Computers, and right-click My Computer. Select Properties.
  4. Click Default COM Security.
  5. Under Default Access Permissions click Edit Default. Make sure SYSTEM, INTERACTIVE, NETWORK, and the user whose authentication credentials will be used to access the COM application all have Local and Remote Access permissions.
  6. Under Default Access Permissions click Edit Limits. Service Pack 2 comes with the following default values: ANONYMOUS LOGON (Local Access) and Everyone (Local and Remote Access). Make sure these values are listed, and then add the user whose authentication credentials will be used to access the COM application. Allow this user to have Local and Remote Access permissions.
  7. Under Default Launch Permissions click Edit Default. Make sure SYSTEM, INTERACTIVE, NETWORK, and the user whose authentication credentials will be used to access the COM application all have Local and Remote Launch permissions, as well as Local and Remote Activation permissions.
  8. Under Default Launch Permissions click Edit Limits. Service Pack 2 comes with the following default values: MACHINE\Administrators (Local and Remote Launch, Local and Remote Activation) and Everyone (Local Launch and Local Activation). Make sure these values are listed, and then add the user whose authentication credentials will be used to access the COM application. Allow this user to have Local and Remote Launch permissions, as well as Local and Remote Activation permissions.
  9. Service Pack 2 comes with a built-in Windows Firewall. If the firewall is turned on, you will have to allow your COM application network access to your machine. You can do this by opening Windows Firewall and adding your COM application to the list of programs under the Exceptions tab. If Display a notification when Windows Firewall blocks a program is selected, then you will be prompted to unblock the COM application when you run your application the first time. Select Unblock when prompted.

If you still get an "access denied" or "permission denied" error after configuring your DCOM settings, try rebooting your machine to allow the new settings to take effect.

Top of page .

For more information on DCOM security enhancements in Microsoft Windows XP Service Pack 2, see http://www.microsoft.com/technet/prodtechnol/winxppro/maintain/sp2netwk.mspx#XSLTsection126121120120 .